Bug 223261 - beryl pulls in beryl-kde which pulls in kdebase
beryl pulls in beryl-kde which pulls in kdebase
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: beryl-core (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-18 14:02 EST by Jonathan Underwood
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 14:11:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-01-18 14:02:29 EST
Description of problem:
beryl install pulls in kdebase

Version-Release number of selected component (if applicable):
0.1.4-2.fc6

How reproducible:
Everytime

Steps to Reproduce:
1. Do a default install of FC-6 (which doesn't install KDE)
2. yum install beryl
3. kdebase, kdelibs pulled in
  
Actual results:
kdelibs, kdebase pulled in to transaction - surely this is unecessary - Requires
gone mad :)

Expected results:
kde not pulled in. Why does beryl require beryl-kde?

Additional info:
Comment 1 Jonathan Underwood 2007-01-18 14:03:21 EST
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 beryl                   x86_64     0.1.4-2.fc6      extras            3.3 k
Installing for dependencies:
 aquamarine              x86_64     0.1.4-3.fc6      extras            109 k
 arts                    x86_64     8:1.5.5-0.1.fc6  updates           1.2 M
 avahi-qt3               x86_64     0.6.16-2.fc6     updates            17 k
 bdock                   x86_64     0.1.4-1.fc6      extras             38 k
 beryl-core              x86_64     0.1.4-2.fc6      extras            433 k
 beryl-dbus              x86_64     0.1.4-2.fc6      extras             20 k
 beryl-gnome             x86_64     0.1.4-2.fc6      extras            3.4 k
 beryl-kde               x86_64     0.1.4-2.fc6      extras            3.4 k
 beryl-manager           x86_64     0.1.4-1.fc6      extras             77 k
 beryl-plugins           x86_64     0.1.4-2.fc6      extras            2.3 M
 beryl-settings          x86_64     0.1.4-1.fc6      extras            138 k
 emerald                 x86_64     0.1.4-1.fc6      extras            283 k
 emerald-themes          noarch     0.1.4-1.fc6      extras            1.3 M
 heliodor                x86_64     0.1.4-2.fc6      extras             56 k
 htdig                   x86_64     3:3.2.0b6-7.fc6  updates           1.0 M
 kdebase                 x86_64     6:3.5.5-0.4.fc6  updates            29 M
 kdelibs                 x86_64     6:3.5.5-0.2.fc6  updates            18 M
 kdnssd-avahi            x86_64     0.1.3-0.1.20060713svn.fc6  core            
  44 k
 lm_sensors              x86_64     2.10.1-1.fc6     updates           516 k
 xorg-x11-xdm            x86_64     1:1.0.5-5.fc6    core              122 k

Transaction Summary
=============================================================================
Install     21 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 55 M
Is this ok [y/N]: n
Comment 2 Jarod Wilson 2007-01-18 14:11:18 EST
The beryl, beryl-gnome and beryl-kde packages are all meta-packages. The beryl
meta-package sucks in all known beryl bits, which includes all gnome and
kde-specific bits. In other words, this is the intended and correct behavior. If
you only want the gnome stuff, you should do a yum install beryl-gnome.

Note You need to log in before you can comment on or make changes to this bug.